VisualEditor: Warn/stop users from inserting wikitext/bad inputs in the Gallery inspector
Closed, ResolvedPublic0 Story Points

Description

Right now if , a user inserts wikitext inside gallery inspector such as <gallery></gallery> or <ref> inside gallery inserter, it adds an empty gallery inside the page and if you switch to edit source you will see something like:
<gallery><gallery><ref></ref></gallery></gallery>

One possible solution to this issue could be let user know not to add any such wikitext/bad inputs inside gallery inspector

Test Environment: http://en.wikipedia.beta.wmflabs.org/
Browser: Chrome Version 26.0.1410.65 & FF 25
OS: MAC OS X 10. 8. 5


Version: unspecified
Severity: minor

Details

Reference
bz62799
bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz62799.
Ryasmeen created this task.Mar 18 2014, 6:57 PM

Created attachment 14853
Screenshot

Attached:

Krinkle removed a subscriber: Krinkle.Apr 17 2015, 8:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 11:12 PM

This has been resolved by the new gallery dialog, which doesn't allow users to input weird wikitext into the <gallery> tag (T45037).

matmarex closed this task as Resolved.
matmarex moved this task from Up next to Done on the VisualEditor (Current work) board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 21 2018, 11:29 PM
Deskana set the point value for this task to 0.Feb 22 2018, 11:02 AM